function atualizaCEP(cep) {
    ajax = ajaxInit();
    if(ajax) {
        ajax.open("GET", "../lib/trabalhador.php?cep=" + cep, true);
        ajax.onreadystatechange = function() {
            document.body.style.cursor = 'wait';  
            if(ajax.readyState == 4) {
			   if(ajax.responseXML) {
				  cepXML(ajax.responseXML);                 
				  document.body.style.cursor = 'default';
			   }			  
            }
        }
		ajax.send(null);
    }
    return false;
}

function cepXML(obj){
    var dataArray   = obj.getElementsByTagName("cep");
    if(dataArray.length > 0) {
        for(var i = 0 ; i < dataArray.length ; i++) {
            var cep 		= dataArray[i];
			var trabalhador_nome  	= '';
			

			if (cep.getElementsByTagName("trabalhador_nome")[0].firstChild) {
                trabalhador_nome    =  cep.getElementsByTagName("trabalhador_nome")[0].firstChild.nodeValue;
			}

			document.getElementById("trabalhador_nome").value = trabalhador_nome;
			}
    }	
}
